<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_developer.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For C++ developers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('functions_func_m.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_m"></a>- m -</h3><ul>
<li>makeDir()
: <a class="el" href="classOpenSim_1_1IO.html#a67f3a6f81d0b18005b4653a1386fcc90">OpenSim::IO</a>
</li>
<li>makeElement()
: <a class="el" href="classOpenSim_1_1DataTable__.html#ade52097921aaefd92966995f6762f89c">OpenSim::DataTable_&lt; ETX, ETY &gt;</a>
</li>
<li>makeElement_helper()
: <a class="el" href="classOpenSim_1_1DataTable__.html#a9190adf1d9ba6b3d3b112e07c101c849">OpenSim::DataTable_&lt; ETX, ETY &gt;</a>
</li>
<li>makeFunctionOfType()
: <a class="el" href="classOpenSim_1_1Function.html#a628a8dca1d896c2fe0db508e543561d4">OpenSim::Function</a>
</li>
<li>makeObjectFromFile()
: <a class="el" href="classOpenSim_1_1Object.html#ab7d860a7849ddbb27885673dbf5dbf76">OpenSim::Object</a>
</li>
<li>makeObjectNamesConsistentWithProperties()
: <a class="el" href="classOpenSim_1_1Object.html#a97b815d0f77a212708ad7f44b5daead4">OpenSim::Object</a>
</li>
<li>makeRdStorage()
: <a class="el" href="classOpenSim_1_1MarkerData.html#a1339d324ed665357442d29da219266f4">OpenSim::MarkerData</a>
</li>
<li>makeStorageLabelsUnique()
: <a class="el" href="classOpenSim_1_1Storage.html#a89331d67fd86e377b323949087cbcbd4">OpenSim::Storage</a>
</li>
<li>Manager()
: <a class="el" href="classOpenSim_1_1Manager.html#a992af0212e8c4f08e29ec58f071a932b">OpenSim::Manager</a>
</li>
<li>mapParameterToControl()
: <a class="el" href="classOpenSim_1_1ControlSet.html#a79f13e52441430a844ec4834c3f78c88">OpenSim::ControlSet</a>
</li>
<li>mapParameterToParameter()
: <a class="el" href="classOpenSim_1_1ControlSet.html#a4daa5a6fe33acc6c68aee4c687395423">OpenSim::ControlSet</a>
</li>
<li>MarkerData()
: <a class="el" href="classOpenSim_1_1MarkerData.html#a8f8c23d00721ddd4cd63ecb93e694c96">OpenSim::MarkerData</a>
</li>
<li>MarkerFrame()
: <a class="el" href="classOpenSim_1_1MarkerFrame.html#a5cdd37338a1d099fe99658f6c5057a8c">OpenSim::MarkerFrame</a>
</li>
<li>MarkerPair()
: <a class="el" href="classOpenSim_1_1MarkerPair.html#ac08171cdcba92048f8a658127e936a4d">OpenSim::MarkerPair</a>
</li>
<li>MarkerPairSet()
: <a class="el" href="classOpenSim_1_1MarkerPairSet.html#a2c9752de5a0494d7d11e7b8c58580841">OpenSim::MarkerPairSet</a>
</li>
<li>MarkerPlacer()
: <a class="el" href="classOpenSim_1_1MarkerPlacer.html#ac608d863797ebdad54c5fc84697f8cd9">OpenSim::MarkerPlacer</a>
</li>
<li>Measurement()
: <a class="el" href="classOpenSim_1_1Measurement.html#a28f230d25b5c206cf636702b3ddb2986">OpenSim::Measurement</a>
</li>
<li>MeasurementSet()
: <a class="el" href="classOpenSim_1_1MeasurementSet.html#a23d256ab25111da4699f133fec07d371">OpenSim::MeasurementSet</a>
</li>
<li>MetaDataLengthMismatch()
: <a class="el" href="classOpenSim_1_1MetaDataLengthMismatch.html#a6e5e40dca7185b0d3a72232e0df6123d">OpenSim::MetaDataLengthMismatch</a>
</li>
<li>MissingColumns()
: <a class="el" href="classOpenSim_1_1StatesTrajectory_1_1MissingColumns.html#a54e02147c823341efcdaafc3f368f78e">OpenSim::StatesTrajectory::MissingColumns</a>
</li>
<li>MissingMetaData()
: <a class="el" href="classOpenSim_1_1MissingMetaData.html#aa585349104f098ea4608594e57b02239">OpenSim::MissingMetaData</a>
</li>
<li>MocoAccelerationTrackingGoal()
: <a class="el" href="classOpenSim_1_1MocoAccelerationTrackingGoal.html#ab410b3fb9b5b91ca602111fd4f2f7de5">OpenSim::MocoAccelerationTrackingGoal</a>
</li>
<li>MocoAngularVelocityTrackingGoal()
: <a class="el" href="classOpenSim_1_1MocoAngularVelocityTrackingGoal.html#a690f5df2ae5eea7d171d4a669cfbc593">OpenSim::MocoAngularVelocityTrackingGoal</a>
</li>
<li>MocoBounds()
: <a class="el" href="classOpenSim_1_1MocoBounds.html#a5e512bc86898f411334da371f7e5d5e0">OpenSim::MocoBounds</a>
</li>
<li>MocoCasADiSolverNotAvailable()
: <a class="el" href="classOpenSim_1_1MocoCasADiSolverNotAvailable.html#ac31fab09dbd4b578cd881c715e9775bc">OpenSim::MocoCasADiSolverNotAvailable</a>
</li>
<li>MocoConstraintInfo()
: <a class="el" href="classOpenSim_1_1MocoConstraintInfo.html#a06185a0f6836c804f2f0d6aef6629f41">OpenSim::MocoConstraintInfo</a>
</li>
<li>MocoContactTrackingGoal()
: <a class="el" href="classOpenSim_1_1MocoContactTrackingGoal.html#a198b0852238fef145be2b45939ba482f">OpenSim::MocoContactTrackingGoal</a>
</li>
<li>MocoControlBoundConstraint()
: <a class="el" href="classOpenSim_1_1MocoControlBoundConstraint.html#a63cde79fd8cf991a5455ae52245e6bdc">OpenSim::MocoControlBoundConstraint</a>
</li>
<li>MocoControlGoal()
: <a class="el" href="classOpenSim_1_1MocoControlGoal.html#afebecd743eb3d799c5d7dfbea6f3e67f">OpenSim::MocoControlGoal</a>
</li>
<li>MocoControlTrackingGoal()
: <a class="el" href="classOpenSim_1_1MocoControlTrackingGoal.html#af73019141d2e2cdc484814c54f3d28e0">OpenSim::MocoControlTrackingGoal</a>
</li>
<li>MocoFinalOutputGoal()
: <a class="el" href="classOpenSim_1_1MocoFinalOutputGoal.html#a1e3905dcc319bb621492d97585ed94f3">OpenSim::MocoFinalOutputGoal</a>
</li>
<li>MocoFinalTimeGoal()
: <a class="el" href="classOpenSim_1_1MocoFinalTimeGoal.html#a94f7a3d036235c4c3b507b95b6c9a702">OpenSim::MocoFinalTimeGoal</a>
</li>
<li>MocoFrameDistanceConstraint()
: <a class="el" href="classOpenSim_1_1MocoFrameDistanceConstraint.html#ae1144ff4ed9ab045189292bbeddcc790">OpenSim::MocoFrameDistanceConstraint</a>
</li>
<li>MocoGoal()
: <a class="el" href="classOpenSim_1_1MocoGoal.html#ab876e218922d12ceadd08ac65ec87516">OpenSim::MocoGoal</a>
</li>
<li>MocoInitialActivationGoal()
: <a class="el" href="classOpenSim_1_1MocoInitialActivationGoal.html#acd3b6cad524835ab5c98a0c064bdf2d2">OpenSim::MocoInitialActivationGoal</a>
</li>
<li>MocoInitialForceEquilibriumDGFGoal()
: <a class="el" href="classOpenSim_1_1MocoInitialForceEquilibriumDGFGoal.html#a09d565520f1e1a45f6b61c5bfee047f1">OpenSim::MocoInitialForceEquilibriumDGFGoal</a>
</li>
<li>MocoInitialOutputGoal()
: <a class="el" href="classOpenSim_1_1MocoInitialOutputGoal.html#a62d0f92e98699542009a1e7b62dfc9e7">OpenSim::MocoInitialOutputGoal</a>
</li>
<li>MocoInitialVelocityEquilibriumDGFGoal()
: <a class="el" href="classOpenSim_1_1MocoInitialVelocityEquilibriumDGFGoal.html#a8284cf5f454529c8e983493343488fd3">OpenSim::MocoInitialVelocityEquilibriumDGFGoal</a>
</li>
<li>MocoJointReactionGoal()
: <a class="el" href="classOpenSim_1_1MocoJointReactionGoal.html#a2ce916ab064bcbf07fc1512a0b77b76b">OpenSim::MocoJointReactionGoal</a>
</li>
<li>MocoMarkerFinalGoal()
: <a class="el" href="classOpenSim_1_1MocoMarkerFinalGoal.html#a34dafeef3c0c3a4b7142cef653b389c1">OpenSim::MocoMarkerFinalGoal</a>
</li>
<li>MocoMarkerTrackingGoal()
: <a class="el" href="classOpenSim_1_1MocoMarkerTrackingGoal.html#a78476e783e0d0cb47fb7c0d4c20ca9be">OpenSim::MocoMarkerTrackingGoal</a>
</li>
<li>MocoOrientationTrackingGoal()
: <a class="el" href="classOpenSim_1_1MocoOrientationTrackingGoal.html#a375d96af434ef39bbf2f23e13e3ef5b8">OpenSim::MocoOrientationTrackingGoal</a>
</li>
<li>MocoOutputBase()
: <a class="el" href="classOpenSim_1_1MocoOutputBase.html#a948d4fe270bb0406d63aebadc9a92dba">OpenSim::MocoOutputBase</a>
</li>
<li>MocoOutputConstraint()
: <a class="el" href="classOpenSim_1_1MocoOutputConstraint.html#a4c9537e2dca810a24b5bc8665c67224c">OpenSim::MocoOutputConstraint</a>
</li>
<li>MocoOutputGoal()
: <a class="el" href="classOpenSim_1_1MocoOutputGoal.html#a6d49d7deac78f7cc268a00df4c882023">OpenSim::MocoOutputGoal</a>
</li>
<li>MocoOutputPeriodicityGoal()
: <a class="el" href="classOpenSim_1_1MocoOutputPeriodicityGoal.html#a7f4e2d16ead75c68a2c6cb89547772c4">OpenSim::MocoOutputPeriodicityGoal</a>
</li>
<li>MocoOutputTrackingGoal()
: <a class="el" href="classOpenSim_1_1MocoOutputTrackingGoal.html#a295bfe1ff7b54909b4a4a092e5a4a8e7">OpenSim::MocoOutputTrackingGoal</a>
</li>
<li>MocoParameter()
: <a class="el" href="classOpenSim_1_1MocoParameter.html#a5a4f5ae9162298e1b71e4489d8b0c80b">OpenSim::MocoParameter</a>
</li>
<li>MocoPathConstraint()
: <a class="el" href="classOpenSim_1_1MocoPathConstraint.html#a7a34e5d35c2d0ea3d0e13eeb8d368082">OpenSim::MocoPathConstraint</a>
</li>
<li>MocoPeriodicityGoal()
: <a class="el" href="classOpenSim_1_1MocoPeriodicityGoal.html#a1674ccc1d3963d925efdd7586ab74bfb">OpenSim::MocoPeriodicityGoal</a>
</li>
<li>MocoPhase()
: <a class="el" href="classOpenSim_1_1MocoPhase.html#a897ce203db7fdc8d0878835ef31de83e">OpenSim::MocoPhase</a>
</li>
<li>MocoProblem()
: <a class="el" href="classOpenSim_1_1MocoProblem.html#af6996313a62eac511a3abb754462ee57">OpenSim::MocoProblem</a>
</li>
<li>MocoProblemRep()
: <a class="el" href="classOpenSim_1_1MocoProblemRep.html#a88254c1604e6e689608432cc94ecbdb4">OpenSim::MocoProblemRep</a>
</li>
<li>MocoScaleFactor()
: <a class="el" href="classOpenSim_1_1MocoScaleFactor.html#ac000664318a235413a52b10b046c8413">OpenSim::MocoScaleFactor</a>
</li>
<li>MocoSolver()
: <a class="el" href="classOpenSim_1_1MocoSolver.html#a4ec8dbd26aff2b279226d37c0cf06ff0">OpenSim::MocoSolver</a>
</li>
<li>MocoStateTrackingGoal()
: <a class="el" href="classOpenSim_1_1MocoStateTrackingGoal.html#abc555d5e2ae1a8cb798b24a31ea8c25e">OpenSim::MocoStateTrackingGoal</a>
</li>
<li>MocoStepLengthAsymmetryGoal()
: <a class="el" href="classOpenSim_1_1MocoStepLengthAsymmetryGoal.html#a3f9d61e1ed1c84c6021bb5b1f4979bc4">OpenSim::MocoStepLengthAsymmetryGoal</a>
</li>
<li>MocoStepTimeAsymmetryGoal()
: <a class="el" href="classOpenSim_1_1MocoStepTimeAsymmetryGoal.html#a20929f5b17367f1a3681a90a70086beb">OpenSim::MocoStepTimeAsymmetryGoal</a>
</li>
<li>MocoSumSquaredStateGoal()
: <a class="el" href="classOpenSim_1_1MocoSumSquaredStateGoal.html#a2bf10d26fa6a96209a5f3be807f48aa2">OpenSim::MocoSumSquaredStateGoal</a>
</li>
<li>MocoTrajectory()
: <a class="el" href="classOpenSim_1_1MocoTrajectory.html#ad670729cbaafbd3d46837d943f564974">OpenSim::MocoTrajectory</a>
</li>
<li>MocoTrajectoryIsSealed()
: <a class="el" href="classOpenSim_1_1MocoTrajectoryIsSealed.html#a39b89c47a43b2efc223183adff262a18">OpenSim::MocoTrajectoryIsSealed</a>
</li>
<li>MocoTranslationTrackingGoal()
: <a class="el" href="classOpenSim_1_1MocoTranslationTrackingGoal.html#a7301b6bd308b902ad204b05b47324613">OpenSim::MocoTranslationTrackingGoal</a>
</li>
<li>MocoTropterSolverNotAvailable()
: <a class="el" href="classOpenSim_1_1MocoTropterSolverNotAvailable.html#a30e53c1829506d3e5b6c0835299194e3">OpenSim::MocoTropterSolverNotAvailable</a>
</li>
<li>MocoVariableInfo()
: <a class="el" href="classOpenSim_1_1MocoVariableInfo.html#ad95159f1a6f1ef2925d5092cf842e2f9">OpenSim::MocoVariableInfo</a>
</li>
<li>MocoWeightSet()
: <a class="el" href="classOpenSim_1_1MocoWeightSet.html#a83054a228727e4209d5252b34be34947">OpenSim::MocoWeightSet</a>
</li>
<li>ModelComponent()
: <a class="el" href="classOpenSim_1_1ModelComponent.html#a43d0a5084a343e03ccee46dfd12ad025">OpenSim::ModelComponent</a>
</li>
<li>modelHasExternalLoads()
: <a class="el" href="classOpenSim_1_1AbstractTool.html#a72fa2f987a6b95280680472e4c385b2b">OpenSim::AbstractTool</a>
, <a class="el" href="classOpenSim_1_1DynamicsTool.html#a86e1811f16d76080245a35c7574f73bf">OpenSim::DynamicsTool</a>
</li>
<li>ModelHasNoSystem()
: <a class="el" href="classOpenSim_1_1ModelHasNoSystem.html#aaf3580850380c55b967af2c3e8531573">OpenSim::ModelHasNoSystem</a>
</li>
<li>ModelScaler()
: <a class="el" href="classOpenSim_1_1ModelScaler.html#a42edef1650af4bdffa562779868e604e">OpenSim::ModelScaler</a>
</li>
<li>MomentArmSolver()
: <a class="el" href="classOpenSim_1_1MomentArmSolver.html#aaadeaf0f952bec7c7f9b04aa1ef6e925">OpenSim::MomentArmSolver</a>
</li>
<li>MultiplierFunction()
: <a class="el" href="classOpenSim_1_1MultiplierFunction.html#a86566d816405ebd392fd32949d9123e7">OpenSim::MultiplierFunction</a>
</li>
<li>multiply()
: <a class="el" href="classOpenSim_1_1StateVector.html#acea835c774efc8561500208af42e1030">OpenSim::StateVector</a>
, <a class="el" href="classOpenSim_1_1Storage.html#aa75dedeb13eaf789c982839dc3d8178d">OpenSim::Storage</a>
</li>
<li>multiplyColumn()
: <a class="el" href="classOpenSim_1_1Storage.html#ac6d221cbfbaab6556cd4e1301155cde7">OpenSim::Storage</a>
</li>
<li>MuscleAnalysis()
: <a class="el" href="classOpenSim_1_1MuscleAnalysis.html#aea28cf5880cb69334ffad6d716cd4af8">OpenSim::MuscleAnalysis</a>
</li>
<li>MuscleCannotEquilibrate()
: <a class="el" href="classOpenSim_1_1MuscleCannotEquilibrate.html#afc25e008e8dba2e0855254c1155de952">OpenSim::MuscleCannotEquilibrate</a>
</li>
<li>MuscleStateTrackingTask()
: <a class="el" href="classOpenSim_1_1MuscleStateTrackingTask.html#aca15e17e4cbf5bace937ddf221d7c7d7">OpenSim::MuscleStateTrackingTask</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:33 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
